Get the immediate and the highest level parent for a device.
get
/topology/v2/vertex/device/typeid/{typeid}/referenceid/{referenceid}/parentDetails
Get the immediate and the highest level parent for the given referenceId and type id.
Request
Path Parameters
-
referenceid(required): string
The reference id of of the device vertex.
-
typeid(required): string
The type id of the device vertex.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Parent details returned successfully.
Nested Schema : schema
Type:
Show Source
object-
activeEventDesc: string
-
area: string
-
autoSuggestName: string
-
availablePositions: string
-
bridgeEdges: array
bridgeEdges
Unique Items Required:
true -
businessObjectClass: string
-
capacityConsumed: number
(float)
-
category: string
-
circle: string
-
city: string
-
communication: integer
(int64)
-
country: string
-
createdDate: string
(date)
Example:
2022-03-10 -
createdUser: string
-
deviceIdentifier: string
-
deviceInterfaceId: string
-
deviceInterfaceName: string
-
district: string
-
entityId: integer
(int64)
-
entityVersion: integer
(int32)
-
equipmentCategory: string
-
fromNodeSubNetwork: integer
(int64)
-
id: string
-
inventoryStatus: string
-
ipv4: string
-
ipv4Subnet: string
-
ipv6: string
-
ipv6Subnet: string
-
lastModifiedDate: string
(date)
Example:
2022-03-10 -
lastModifiedUser: string
-
latitude: number
(double)
-
layerId: integer
(int32)
-
layerName: string
-
locationCode: string
-
locationName: string
-
longitude: number
(double)
-
macAddress: string
-
name: string
-
nativeEMSName: string
-
networkStatus: string
-
nodeCategory: string
-
nodeType: string
-
occupiedPositions: string
-
operator: string
-
pathIds: array
pathIds
Unique Items Required:
true -
physicalPortId: string
-
physicalPortName: string
-
plannedActiveEvent: integer
(int64)
-
postalCode: string
-
properties: object
properties
Additional Properties Allowed: additionalProperties
-
province: string
-
referenceId: integer
(int64)
-
region: string
-
relationships: object
relationships
Additional Properties Allowed: additionalProperties
-
specName: string
-
state: string
-
subCategory: string
-
subNetworkEntityId: integer
(int64)
-
subNetworkId: integer
(int64)
-
subNetworkName: string
-
subType: string
-
toNodeSubNetwork: integer
(int64)
-
topologyType: string
-
unplannedActiveEvent: integer
(int64)
-
zoneId: string
Examples
400 Response
The request isn't valid
401 Response
The request is unauthorized
403 Response
The request is forbidden
404 Response
The requested resource not found
500 Response
An Internal Server Error has occurred